#!/usr/bin/env node
;!function(){try{var e="undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{},n=(new Error).stack;n&&(e._btDebugIds=e._btDebugIds||{},e._btDebugIds[n]="26fa9a23-0238-e874-b0fd-eb4bf9ab7c79")}catch(e){}}();
import { ErrorHandler } from "./app/event/error-handler.js";
import { CLIInterface } from "./app/event/cli.js";
import { appFactory } from "./app/factory.js";
import { MetricsExporter } from "./app/event/metrics-exporter.js";
import { LogInterface } from "./app/event/log.js";
let app;
try {
    app = await appFactory(process.argv);
}
catch (_err) {
    // AppFactory will print appropriate error messages
    process.exit(3);
}
const _errorHandler = new ErrorHandler();
const _logInterface = new LogInterface();
const _cliInterface = new CLIInterface();
const _metricsExporter = new MetricsExporter();
try {
    await app.run();
}
catch (err) {
    await _errorHandler.handleError(err);
    process.exit(1);
}
//# sourceMappingURL=main.js.map
//# debugId=26fa9a23-0238-e874-b0fd-eb4bf9ab7c79